Bug 28445 - isdn ipppd redail failure after local inactivity hangup
isdn ipppd redail failure after local inactivity hangup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: isdn4k-utils (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-20 09:58 EST by Alex Schuilenburg
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 07:24:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Schuilenburg 2001-02-20 09:58:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)


I have a local network at home with RH7 acting as firewall/NAT connecting
via ISDN.

When ipppd dropped the connection after 10 minutes of inactivity, ippp0
failed to reconnect shortly afterwards.  The connection had been working
fine all week (dropping after inactivity and reconnecting when necessary)
.  Looking at the logs I suspect the connection was being brought down at
the same time as packets were being routed to the net.  See log in actual
results:

Reproducible: Didn't try
Steps to Reproduce:


Actual Results:  Feb 20 12:23:07 gatey kernel: OPEN: 213.1.149.150 ->
195.110.171.40 TCP, port: 61080 -> 21
Feb 20 12:23:07 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:23:08 gatey ipppd[653]: Local number: 01223291155, Remote number:
08007317964, Type: outgoing
Feb 20 12:23:08 gatey ipppd[653]: PHASE_WAIT -> PHASE_ESTABLISHED, ifunit:
0, linkunit: 0, fd: 6
Feb 20 12:23:08 gatey kernel: isdn_net: ippp0 connected
Feb 20 12:23:08 gatey ipppd[653]: MPPP negotiation, He: No We: No
Feb 20 12:23:08 gatey ipppd[653]: CCP enabled! Trying CCP. 
Feb 20 12:23:08 gatey ipppd[653]: CCP: got ccp-unit 0 for link 0 (protocol:
0x80fd)
Feb 20 12:23:08 gatey ipppd[653]: ccp_resetci! 
Feb 20 12:23:09 gatey ipppd[653]: local  IP address 62.7.69.4
Feb 20 12:23:09 gatey ipppd[653]: remote IP address 212.140.212.77
Feb 20 12:33:56 gatey ipppd[653]: Modem hangup
Feb 20 12:33:56 gatey ipppd[653]: Connection terminated.
Feb 20 12:33:56 gatey ipppd[653]: taking down PHASE_DEAD link 0, linkunit:
0
Feb 20 12:33:56 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:33:56 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:33:56 gatey ipppd[653]: closing fd 6 from unit 0
Feb 20 12:33:56 gatey ipppd[653]: link 0 closed , linkunit: 0
Feb 20 12:33:56 gatey ipppd[653]: reinit_unit: 0 
Feb 20 12:33:56 gatey ipppd[653]: Connect[0]: /dev/ippp0, fd: 6
Feb 20 12:34:36 gatey kernel: OPEN: 62.7.69.4 -> 194.73.73.95 UDP, port:
1026 -> 53
Feb 20 12:34:36 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:34:44 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:34:44 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:34:49 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:34:49 gatey kernel: OPEN: 62.7.69.4 -> 128.8.10.90 UDP, port:
1026 -> 53
Feb 20 12:34:49 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:34:57 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:34:57 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:35:04 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:35:04 gatey kernel: OPEN: 62.7.69.4 -> 202.12.27.33 UDP, port:
1026 -> 53
Feb 20 12:35:04 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:35:12 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:35:12 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:35:14 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:35:14 gatey kernel: OPEN: 62.7.69.4 -> 194.73.73.95 UDP, port:
1026 -> 53
Feb 20 12:35:14 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:35:20 gatey last message repeated 2 times
Feb 20 12:35:22 gatey kernel: isdn: HiSax,ch0 cause: E0010
Feb 20 12:35:22 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:35:22 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:35:24 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:35:24 gatey kernel: OPEN: 62.7.69.4 -> 128.8.10.90 UDP, port:
1026 -> 53
Feb 20 12:35:24 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:35:32 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:35:32 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:35:34 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:35:34 gatey kernel: OPEN: 62.7.69.4 -> 198.41.0.4 UDP, port: 1026
-> 53
Feb 20 12:35:34 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:35:42 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:35:42 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:35:44 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:35:44 gatey kernel: OPEN: 62.7.69.4 -> 198.41.0.10 UDP, port:
1026 -> 53
Feb 20 12:35:44 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:35:52 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:35:52 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:35:54 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:35:54 gatey kernel: OPEN: 62.7.69.4 -> 192.203.230.10 UDP, port:
1026 -> 53
Feb 20 12:35:54 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:36:02 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:36:02 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:36:04 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
Feb 20 12:36:04 gatey kernel: OPEN: 62.7.69.4 -> 192.5.5.241 UDP, port:
1026 -> 53
Feb 20 12:36:04 gatey kernel: ippp0: dialing 1 08007317964...
Feb 20 12:36:10 gatey kernel: isdn: HiSax,ch0 cause: E0010
Feb 20 12:36:12 gatey kernel: isdn_net: local hangup ippp0
Feb 20 12:36:12 gatey kernel: ippp0: Chargesum is 0
Feb 20 12:36:14 gatey kernel: isdn_tx_timeout dev ippp0 dialstate 0
...


After a reboot the system reconnected and functioned as normal, although I
suspect a "sevice isdn restart" would have worked just as well.
Comment 1 Karsten Hopp 2001-02-21 07:24:00 EST
isdn problem, reassigning to developer
Comment 2 Ngo Than 2001-02-21 10:54:01 EST
please try either the new internet-config-0.30-1 in the volverine or
ftp.redhat.de:/rh-addons/isdn/7.0/i386/isdn-config-0.18-10.70.i386.rpm. It
should fix this problem.

Note You need to log in before you can comment on or make changes to this bug.